ServerEvents.recipes(event => {
    let addDrillingRecipe = (resource) => {
        let id = resource.split(':')[1].split('_')[1];
        let name = id.charAt(0).toUpperCase() + id.slice(1) + " Vein";
        event.recipes.createoreexcavation.drilling(resource, `${name} Vein`, 10, 100).id(`${id}_vein1`);
    }

    let resources = [
        'galosphere:raw_silver',
        'byg:raw_pendorite',
        'modern_industrialization:raw_antimony',
        'modern_industrialization:raw_iridium',
        'modern_industrialization:raw_lead',
        'modern_industrialization:raw_nickel',
        'modern_industrialization:raw_platinum',
        'modern_industrialization:raw_silver',
        'modern_industrialization:raw_tin',
        'modern_industrialization:raw_titianium',
        'modern_industrialization:raw_tungsten',
        'modern_industrialization:raw_uranium',
    ];

    resources.forEach(addDrillingRecipe);

    event.recipes.createoreexcavation.drilling('modern_industrialization:bauxite_dust', `Bauxite Vein`, 10, 100).id(`bauxite_vein1`);

    //Set base value in config for finite veins
});